{% load static %}
{% include "snippets/base.html" %}
{% load book_extras %}
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="{% static 'books/style.css' %}">
<div class="flux_container">
	{% for post in posts %}
	    {% if post.content_type == 'TICKET' %}
	        <section class="bloc__review">
				<div>
					<div class="intro_ticket">
				        <p>You posted a Ticket</p>
						<p><small>fait le: {{ post.time_created}}</small> </p>
					</div>
			        <h2>{{ post.title }}</h2>
			        <p>{{ post.description }}</p>
					<img src="/images/{{ post.image }}" alt="img"/>

					<div class="post_buttons">
						<button  type="button">
		                <a href="{% url 'delete_ticket' post.id %}">Delete</a>
				        </button>

						<button type="button">
		                    <a href="{% url 'update_ticket' post.id %}">Update</a>
				        </button>
					</div>


			    </div>
			</section>

	    {% elif post.content_type == 'REVIEW' %}
	       <section>
					<div>
						<div class="intro_ticket">
							<p>You posted a Review</p>
							<p><small>{{ post.time_created }}</small></p>
						</div>
						<div class="comment_review">
							<p><strong>{{ post.headline }}</strong> - </p>

							<div>
								{% for i in 5|times %}
									{% if i < post.rating %}

										<span class="fa fa-star checked"></span>
									{% else %}
										<span class="fa fa-star"></span>
									{% endif %}
								{% endfor %}
							</div>
						</div>
						<p>{{ post.body }}</p>

							<div class="ticket_reviewed">
								<p>Ticket - {{ post.user }}</p>
								<p>{{ post.ticket.title }}</p>
								<img src="/images/{{post.ticket.image}}" alt="img"/>
							</div>
						<div class="post_buttons">
							<button type="button">
		                        <a href="{% url 'delete_review' post.id %}">Delete</a>
				            </button>

							<button type="button">
		                        <a href="{% url 'update_review' post.id %}">Update</a>
				            </button>
						</div>
					</div>

	       </section>
	    {% endif %}
	{% endfor %}
</div>